summaryrefslogtreecommitdiff
path: root/taler-build/update_gnunet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_gnunet.sh')
-rwxr-xr-xtaler-build/update_gnunet.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/taler-build/update_gnunet.sh b/taler-build/update_gnunet.sh
index 019623f..c2201ba 100755
--- a/taler-build/update_gnunet.sh
+++ b/taler-build/update_gnunet.sh
@@ -1,11 +1,11 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
+set -eu
-cd $base/gnunet/ && \
- svn revert -R . && \
- svn update && \
- ./bootstrap && \
- ./configure --prefix=$base/local --enable-logging=verbose --with-libgnurl=$base/local --with-microhttps=$base/local && \
- make && \
- make install
+cd $HOME/gnunet/
+svn revert -R .
+svn update
+./bootstrap
+./configure --prefix=$HOME/local --enable-logging=verbose --with-libgnurl=$HOME/local --with-microhttps=$HOME/local
+make
+make install